2021-06-22 21:42:55 UTC
45.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:31b7e7ccca9e17fd08b39c9a4ffd3ded380b62816c489d6c3758c9bb5a632430 - 5.95% (2.69 MB)
[#001] sha256:cb42e936a9b8f9402f66e3af766e1ba3f9dadd7e24d85edda954ea5ace08b63d - 0.0% (1.23 KB)
[#002] sha256:23f7c3443d3df24c0db408e1e5aba5df45d3e571682f52d29700fe96b74d5ab1 - 94.04% (42.5 MB)
[#003] sha256:5d513ae58978f46ffd449b76a88acd290bdbbf2c8dc7e90ef9e04014b99d11bf - 0.0% (174 Bytes)
[#004] sha256:4213bb62e786f44e51cf798e925ea48395500839e002338e8bea51c14f45db8b - 0.0% (153 Bytes)
[#005] sha256:4b84fb85067e960b52f6852f6b48070c46a5059c36fe7973a2de3886c22f87e9 - 0.0% (1.66 KB)
/bin/sh -c #(nop) ADD file:36634145ad6ec95a6b1a4f8d875f48719357c7a90f9b4906f8ce74f71b28c19d in /
2021-04-14 18:38:29 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-06-10 17:39:34 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-06-22 21:42:42 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.13
2021-06-22 21:42:43 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.13
2021-06-22 21:42:43 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-06-22 21:42:44 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-06-22 21:42:51 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-06-22 21:42:52 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-06-22 21:42:53 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-06-22 21:42:53 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-06-22 21:42:54 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-06-22 21:42:54 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-06-22 21:42:54 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-06-22 21:42:54 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-06-22 21:42:54 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-06-22 21:42:55 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-06-22 21:22:32 UTC
45.6 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:540db60ca9383eac9e418f78490994d0af424aab7bf6d0e47ac8ed4e2e9bcbba - 5.88% (2.68 MB)
[#001] sha256:8f6a01d5a74cef2fe3a1434a8a3d1a4f50b87e22ecbb6dbec751a712d1363496 - 0.0% (1.23 KB)
[#002] sha256:a05e061614a002dfda954fb22b07c58ae54271515bd01a5d8a8879c35674dfc0 - 94.11% (42.9 MB)
[#003] sha256:236bc01cf16d53e19c8ceda24cb9f2114f46f28cc7d1e3aa710718f2238eef2e - 0.0% (174 Bytes)
[#004] sha256:10df2afcd9668c9f59bf8e83826e19c187eae462a35859936d5f7d92ace7ac26 - 0.0% (154 Bytes)
[#005] sha256:dbad988e5f82690fcb42f15a367f7565831f561df38407ba7f19e6ce5fb6ef45 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:8ec69d882e7f29f0652d537557160e638168550f738d0d49f90a7ef96bf31787 in /
2021-04-14 19:19:39 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-06-10 18:19:29 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-06-22 21:22:21 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.13
2021-06-22 21:22:22 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.13
2021-06-22 21:22:22 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-06-22 21:22:23 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-06-22 21:22:29 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-06-22 21:22:30 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-06-22 21:22:31 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-06-22 21:22:31 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-06-22 21:22:31 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-06-22 21:22:31 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-06-22 21:22:32 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-06-22 21:22:32 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-06-22 21:22:32 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-06-22 21:22:32 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-06-22 22:21:28 UTC
41 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:740c950346cf39c85b52576998695c9b909c24a58a8bb1b64cce91fda3ef1d3a - 6.1% (2.5 MB)
[#001] sha256:0dc1dad5b305fe1b07311ca788f6bbf30c43ba39f6b83451034add65def1ad1d - 0.0% (1.23 KB)
[#002] sha256:bd6989b5a9d1014551c2b6506d2343e6ff49d0ce65af84cf9a7a73e01806204c - 93.9% (38.5 MB)
[#003] sha256:b7d05fdd8f20fe0e87b5aa2615b87073a08bafd29d7242d1ba8693d6da45efa6 - 0.0% (174 Bytes)
[#004] sha256:372f00348fdfc4df76ce209111a413c74555aecf3c23dc20641c76bf15a61fbd - 0.0% (154 Bytes)
[#005] sha256:9e6e3e6975da54969ea796781cbc957b7d07b1bfcf6de0591c1c7c4af8f01807 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:4479f0a51530e039edf231d87201896dcff908aa542a613cdccb015f93dda8a3 in /
2021-06-15 22:57:34 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-06-22 22:20:06 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-06-22 22:21:08 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.13
2021-06-22 22:21:08 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.13
2021-06-22 22:21:09 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-06-22 22:21:10 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-06-22 22:21:21 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-06-22 22:21:23 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-06-22 22:21:24 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-06-22 22:21:25 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-06-22 22:21:25 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-06-22 22:21:26 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-06-22 22:21:26 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-06-22 22:21:27 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-06-22 22:21:27 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-06-22 22:21:28 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-06-22 21:43:24 UTC
41.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:595b0fe564bb9444ebfe78288079a01ee6d7f666544028d5e96ba610f909ee43 - 6.28% (2.59 MB)
[#001] sha256:9a16a3a7536ab5a343392960e9723e88bf9f6c5e223022834a31c803c4cec5ab - 0.0% (1.23 KB)
[#002] sha256:45d55f2e79453b44c942bee27ceb5ced5a5e7d3d8e41715a5976e935877abf6f - 93.72% (38.6 MB)
[#003] sha256:98b919304680b669cc6afec8011e667e7e1eecc99890057b679c5820c3a07838 - 0.0% (174 Bytes)
[#004] sha256:72d6a2acf88f8720710653483a2ada92e63b8ddab80aacd7174b9f10850a42a3 - 0.0% (153 Bytes)
[#005] sha256:29cdf13f4d730b3f0a16a5d3d3a4caf6dbad7a7a31523796336ceaa0ea4f0864 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:ca9d8b5d1cc2f2186983fc6b9507da6ada5eb92f2b518c06af1128d5396c6f34 in /
2021-06-15 21:45:04 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-06-15 23:25:54 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-06-22 21:43:15 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.13
2021-06-22 21:43:15 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.8.13
2021-06-22 21:43:15 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-06-22 21:43:16 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-06-22 21:43:21 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-06-22 21:43:22 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-06-22 21:43:23 UTC|1 CONSUL_VERSION=1.8.13 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-06-22 21:43:23 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-06-22 21:43:23 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-06-22 21:43:24 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-06-22 21:43:24 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-06-22 21:43:24 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-06-22 21:43:24 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-06-22 21:43:24 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]